#!/usr/bin/env bash
pexec () {  echo $1; $1; };
if [ -z "$(which icc)" ]; then
  echo "#gcc compiler used"
  CC=gcc
  SFLAGS="-O3 -Wall "
else
  echo "#intel icc compiler used"
  CC=icc 
  SFLAGS="-O3"
fi
CFLAGS="${SFLAGS} $*"
pexec "$CC $CFLAGS haar_inplace.c haar_main.c -lm -o haar"


