#!/usr/bin/env bash
pexec () {  echo $1; $1; };
if [ -z "$(which icc)" ]; then
  echo "#gcc compiler used"
  CC=gcc
  SFLAGS="-O3 -Wall -fopenmp "
else
  echo "#intel icc compiler used"
  CC=icc 
  SFLAGS="-O3 -openmp"
fi
CFLAGS="${SFLAGS} -std=c99 -DTIMER  $*"
pexec "$CC $CFLAGS `pkg-config --cflags glib-2.0 ` -c hash_mem.c"			      
pexec "$CC $CFLAGS -o hash_mem hash_mem.o -lm  `pkg-config --libs glib-2.0 --libs gthread-2.0`"

