#!/usr/bin/env bash
pexec () {  echo $1; $1; };
if [ -z "$(which icc)" ]; then
  echo "gcc"
  CC=gcc
  SFLAGS=" -Wall -O3 -fopenmp"
else
  echo "intel icc"
  CC=icc 
  SFLAGS=" -O3 -openmp"
fi
CFLAGS="$SFLAGS -DTIMER -DPREFETCH $*"
pexec "$CC $CFLAGS -c list.c"
pexec "$CC $CFLAGS -o list list.o -lm"
#"-O3 -DTIMER -DPREFETCH -DTSIZE=16*1024*1024"