#!/bin/bash
if [ "$1" = 0 ]; then
  ((compil=1))
else 
  ((compil=0))
fi

declare -ra modex=( \
    32  128 256  \
    1.5 1.5 1.5 \
)

declare -ra tsize=( \
    $((4*1024))  $((16*1024))  $((32*1024)) \
    $((4*1024))  $((16*1024))  $((32*1024)) \
    )


#declare -ra modex=(1.5 1.5)
#declare -ra tsize=($((4*1024)) $((16*1024)) )
 
 
nbbenchs=$((${#modex[@]}-1))

set -v
if [ $compil -eq 1 ]; then
  for i in $(seq 0 ${nbbenchs}); do
    ((m=i/3))
    ((prems=i%3))
  
    if [ $compil -eq 1 ]; then
       rm -rf runs${i} 2>/dev/null
    fi
    mkdir runs${i}
    cd runs${i}
    echo $PWD ${modex[i]} ${tsize[i]} div $m mod ${prems}
    for k in  ../*[ch]; do
      if [ -f $k ]; then
         ln -s $k
      fi
    done
    (./comp.sh -DTSIZE=${tsize[i]} -DMODEX=${modex[i]})  
    cd ..
  done
fi
echo"">res
for i in $(seq 0 ${nbbenchs}); do
  ((m=i/3))
  ((prems=i%3))

  echo ${modex[i]} ${tsize[i]} div $m mod ${prems}
  for j in ptree hash array; do
      echo "#### CASE  $j" 
      if [ $compil -eq 1 ]; then
        mkdir runs${i}/$j
        cd runs${i}/$j
        cp ../wav_${j} .
        cd ../..
      else
        cd runs${i}/$j
        ./wav_${j} ${m} > out
        grep -e zero -e Sparse -e adapt_itransf -e ideal out | tee res
        cd ../..
	cat runs${i}/$j/res >> res
      fi
  done
done
