#include <sys/time.h>
#include <sys/resource.h>
#include <unistd.h>
#include <stdlib.h>
#include "clock.h"

void clockget_ (int64_t *timepoint) {
  struct timeval tv2;
  gettimeofday(&tv2, (struct timezone*)0);
  timepoint[0] = (tv2).tv_sec;
  timepoint[1] = (tv2).tv_usec;
}

double clockdiff_ (int64_t *tp1, int64_t *tp2) {
  return((tp2[0]-tp1[0])+0.000001*(tp2[1]-tp1[1]));
}
