#ifndef CLOCK_H
#define CLOCK_H

void clockget_ (int64_t *timepoint);
double clockdiff_ (int64_t *tp1, int64_t *tp2);

#ifdef TIMER
#define GETTIME(expr,message) {	               \
  int64_t t1[2], t2[2];                        \
  clockget_(t1);expr;clockget_(t2);             \
  printf("%s %lf ms\n",message,1000*clockdiff_(t1,t2));	\
}
#else
#define GETTIME(expr,message) expr
#endif

#endif /* CLOCK_H */
