cat <<EOF > gnu.plt
set auto
set terminal png large size 450 500 transparent xffffff \
                        x000000 x101010 x202020 x303030 x404040 x505050 x606060 \
                        x707070 x808080 x909090 xA0A0A0 xB0B0B0 xC0C0C0 xD0D0D0 xE0E0E0 \
                        
#set view 50,120
#set palette defined
#set size .8, .7
#set term post monochrome
#set term png size 640 480
#set isosample 40,40

set xrange [0:6.258642]
set yrange [0:6.258642]
set zrange [-1:1]
set ztics .1
set cbtics .2
set cbrange [-1:1]
#set term postscript eps enhanced solid monochrome
set palette gray
set palette gamma 2.5
set pm3d map
set pm3d explicit
set pm3d map
##unset surface
#set view map
set contour
set pal maxcolors 10
set cntrparam levels 10
unset key
##set key outside
#set palette gray negative

set output "casea.png"
splot "runs0/array/input.dat" t "Test case A" 
set output "caseb.png"
splot "runs1/array/input.dat" t "Test case B" 
set output "casec.png"
splot "runs2/array/input.dat" t "Test case C" 

EOF
gnuplot  gnu.plt