#!/usr/bin/env bash
pexec () {  echo $1; $1; };
if [ -z "$(which icc)" ]; then
  echo "#gcc compiler used"
  CC=gcc
  SFLAGS="-O3 -fopenmp"
else
  echo "#intel icc compiler used"
  CC=icc 
  SFLAGS="-O3 -openmp"
fi
CFLAGS="${SFLAGS} $* -Wall -DNDEBUG -DTIMER"
pexec "$CC $CFLAGS -c -Wall gtree.c"
pexec "$CC $CFLAGS -o gtree gtree.o -lm"
