#!/usr/bin/env bash
pexec () {  echo $1; $1; };
if [ -z "$(which icc)" ]; then
  echo "gcc"
  CC=gcc
#  SFLAGS=" -lblas -fopenmp -O4  -funroll-loops -ffast-math"
  SFLAGS="-O4 -L${HOME}/lib/atlas/lib -lptcblas -latlas -funroll-loops -ffast-math"
else
  echo "intel icc"
  CC=icc 
  SFLAGS=" -DMKL -lmkl -openmp -O3 -funroll-all-loops"
fi
CFLAGS="$SFLAGS -DNDEBUG  -DTIMER $*"
echo $CFLAGS
pexec "$CC $CFLAGS -c -Wall matmul.c"
pexec "$CC $CFLAGS -o matmul matmul.o -lm"
