#define MIN(X,Y) ((X) < (Y) ? (X) : (Y))
void mat_mul_basic(double*A, double*tB, double*C, int N);
void mat_mul_block(double*A, double*tB, double*C, int N, 
		   int blocki, int blockj, int blockk);
void mat_mul_dgemm(double*A, double*tB, double*C, int N);
void repeat_mat_mul_basic(double*A, double*tB, double*C, 
			  int N, int repeat);
void repeat_mat_mul_dgemm(double*A, double*tB, double*C, 
			  int N, int repeat);
void repeat_mat_mul_block(double*A, double*tB, double*C, 
			  int N, int repeat, int blocki, int blockj, 
			  int blockk);
