#ifndef DENSE_H
#define DENSE_H

#define    _DESTROY(_phatab) {free(*_phatab); (*_phatab)=NULL; }
#define      _INITF(_phatab,_noparam,_N)		\
  ((*_phatab)= (FTYPE*) malloc(_N*_N*sizeof(FTYPE)))
#define     _RESETF(_hatab,_N)					\
  {int _i; for (_i=0; _i<_N*_N; _i++) _hatab[_i] = NOTAVALUE;}
#define    _SETF_NEW(_hatab,_keyx,_keyy,_N,_val) {			\
    _KEYTYPE _key = _XY(_keyx,_keyy,_N);				\
    _hatab[_key] = _val;						\
  }
#define _GETPOINTER(_hatab,_keyx,_keyy,_N,_pval) {		\
    _KEYTYPE _key = _XY(_keyx,_keyy,_N);				\
    _pval=&(_hatab[_key]);						\
    _pval=(*_pval==NOTAVALUE?NULL:_pval);				\
  }
#define       _GETF(_hatab,_keyx,_keyy,_N,_val)  {	\
    _KEYTYPE _key = _XY(_keyx,_keyy,_N);			\
    _val = _hatab[_key];				\
  }

#define _GETKB(_hatab,_N) (int)((((long long)_N)*((long long)_N)*sizeof(FTYPE))>>10)
#define _PGETKB(_hatab,_N) printf("Dense size: %f KB\n",(1.*_GETKB(_N,_N)));

#endif /* DENSE_H */
